package com.corewing.app.common.page;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

public class PageContext {
    private static final ThreadLocal<Page<?>> PAGE_HOLDER = new ThreadLocal<>();

    // 设置分页对象
    public static void setPage(Page<?> page) {
        PAGE_HOLDER.set(page);
    }

    // 泛型方法：获取指定类型的分页对象（消除警告）
    @SuppressWarnings("unchecked")
    public static <T> Page<T> getPage(Class<T> clazz) {
        return (Page<T>) PAGE_HOLDER.get();
    }

    // 清除线程变量
    public static void clear() {
        PAGE_HOLDER.remove();
    }
}